Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.server
Class DefaultExceptionHandler

    java.lang.Object
      com.google.web.bindery.requestfactory.server.DefaultExceptionHandler

All Implemented Interfaces:
  ExceptionHandler

    public class DefaultExceptionHandler

extends java.lang.Object
implements ExceptionHandler

Default implementation for handling exceptions thrown while processing a request. Suppresses stack traces and the exception class name.

Constructor Summary
`DefaultExceptionHandler()`

Method Summary
`ServerFailure` | `createServerFailure(java.lang.Throwable throwable)` Generates a `ServerFailure` based on the information contained in the received `exception`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExceptionHandler

    public DefaultExceptionHandler()

Method Detail

### createServerFailure

    public ServerFailure createServerFailure(java.lang.Throwable throwable)

  Description copied from interface: `ExceptionHandler`
  Generates a `ServerFailure` based on the information contained in the received `exception`.

  Specified by:
    `createServerFailure` in interface `ExceptionHandler`
  Parameters:
    `throwable` - a Throwable instance
  Returns:
    a `ServerFailure` instance
  See Also:
    `DefaultExceptionHandler`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD